Subject: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).

From: Arun Isaac <[email-masked]>
Date: Mon, 24 Aug 2020 12:14:37 +0530

> I had thought js-mathjax was just the component files too and not
> truely built from source. Maybe I was wrong. Currently, building this
> from the true source requires a huge number of js packages and we
> haven't got a npm importer and full JavaScript bootstrap yet so I
> wasn't sure what to do.

True. js-mathjax is not truly built from source. A true source build
will properly depend on a huge number of other js packaces. js-mathjax
only redoes the minification step. In light of this, perhaps we should
remove js-mathjax from Guix. But, I'm not sure.

> If you like we can ignore this and I can modify calibre to disable
> mathjax for now since I don't think it works with the old mathjax 2. I
> would like to work on getting more JavaScript in to guix properly

Yes, disabling mathjax for calibre is a good way to go if the
functionality is not too critical. But, I don't know much about
calibre. So, someone else should take a call.